// Copyright 2020 mathru. All rights reserved.

/// Masamune ui framework library
///
/// To use, import `package:masamune_gui/masamune_gui.dart`.
/// 
/// [mathru.net]: https://mathru.net
/// [YouTube]: https://www.youtube.com/c/mathrunetchannel
library masamune.gui;

import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:loading_animations/loading_animations.dart';
import 'package:masamune/masamune.dart';
import 'package:masamune_localize/masamune_localize.dart';
import 'package:masamune_firebase/masamune_firebase.dart';

part 'core/typedef.dart';
part 'core/defaultpath.dart';
part 'core/contextmap.dart';

part 'component/extensions.dart';
part 'component/uiwidget.dart';
part 'component/uivalue.dart';

part 'route/extensions.dart';
part 'route/slidepageroute.dart';

part 'widget/uiapp.dart';
part 'widget/uidialog.dart';
part 'widget/uiconfirm.dart';
part 'widget/uitask.dart';
part 'widget/uitext.dart';
part 'widget/uipanel.dart';
part 'widget/uiauth.dart';
part 'widget/uipage.dart';
part 'widget/uipagescaffold.dart';